Patchwork [meta-oe] network-manager-applet: Fix missing DEPENDS and QA warnings.

login
register
mail settings
Submitter Samuel Stirtzel
Date April 5, 2012, 2:12 p.m.
Message ID <1333635172-6410-1-git-send-email-s.stirtzel@googlemail.com>
Download mbox | patch
Permalink /patch/25203/
State Accepted
Commit 9d030d368ccffe10a7ab13f82addb1968f339947
Headers show

Comments

Samuel Stirtzel - April 5, 2012, 2:12 p.m.
This fixes:
| checking for ISO_CODES... no
| No package 'iso-codes' found.

and

| checking for GNOME_KEYRING... no
| configure: error: Package requirements (gnome-keyring-1) were not met:

Signed-off-by: Samuel Stirtzel <s.stirtzel@googlemail.com>
---
 .../network-manager-applet_0.9.2.0.bb              |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Patch

diff --git a/meta-gnome/recipes-connectivity/networkmanager/network-manager-applet_0.9.2.0.bb b/meta-gnome/recipes-connectivity/networkmanager/network-manager-applet_0.9.2.0.bb
index aee599f..7939c1e 100644
--- a/meta-gnome/recipes-connectivity/networkmanager/network-manager-applet_0.9.2.0.bb
+++ b/meta-gnome/recipes-connectivity/networkmanager/network-manager-applet_0.9.2.0.bb
@@ -2,7 +2,7 @@  DESCRIPTION = "GTK+ applet for NetworkManager"
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=59530bdf33659b29e73d4adb9f9f6552"
 
-DEPENDS = "gnome-bluetooth polkit-gnome libnotify networkmanager dbus-glib libglade gconf gnome-keyring"
+DEPENDS = "gnome-bluetooth polkit-gnome libnotify networkmanager dbus-glib libglade gconf gnome-keyring libgnome-keyring iso-codes"
 
 inherit gnome
 
@@ -32,5 +32,7 @@  FILES_${PN} += "${datadir}/nm-applet/ \
         "
 
 FILES_${PN} += "${libdir}/gnome-bluetooth/plugins/*.so"
+FILES_${PN}-dev += "${libdir}/gnome-bluetooth/plugins/libnma.la"
+FILES_${PN}-staticdev += "${libdir}/gnome-bluetooth/plugins/libnma.a"
 FILES_${PN}-dbg += "${libdir}/gnome-bluetooth/plugins/.debug/"